commit:     6d0c00f1fb7b928b16c17ffc426264591fadec47
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 11 11:19:14 2016 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Mon Jan 11 11:32:17 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6d0c00f1

dev-python/twill: Use python2 for doc building

Package-Manager: portage-2.2.26
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/twill/twill-0.9-r1.ebuild | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

diff --git a/dev-python/twill/twill-0.9-r1.ebuild 
b/dev-python/twill/twill-0.9-r1.ebuild
index 3c54b5d..8133d6c 100644
--- a/dev-python/twill/twill-0.9-r1.ebuild
+++ b/dev-python/twill/twill-0.9-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -20,20 +20,24 @@ SLOT="0"
 KEYWORDS="amd64 ~arm ppc ~ppc64 x86"
 IUSE="doc examples"
 
+REQUIRED_USE="doc? ( || ( $(python_gen_useflags 'python2*') ) )"
+
 DEPEND="
        dev-python/setuptools[${PYTHON_USEDEP}]
        doc? (
-               $(python_gen_cond_dep 'dev-python/epydoc[${PYTHON_USEDEP}]' 
python2_7)
-               || (
-                       dev-python/dnspython:0[${PYTHON_USEDEP}]
-                       virtual/python-dnspython:0[${PYTHON_USEDEP}]
-               )
+               $(python_gen_cond_dep 'dev-python/epydoc[${PYTHON_USEDEP}]' 
'python2*')
+               $(python_gen_cond_dep 
'virtual/python-dnspython[${PYTHON_USEDEP}]' 'python2*')
        )"
 
 S="${WORKDIR}/${MY_P}"
 
+pkg_setup() {
+       use doc && DISTUTILS_ALL_SUBPHASE_IMPLS=( 'python2*' )
+}
+
 python_compile_all() {
        if use doc; then
+               python_setup 'python2*'
                pushd doc > /dev/null || die
                chmod +x make-epydoc.sh || die
                ./make-epydoc.sh || die

Reply via email to